function F = mySystem(vars,PARAM)

BBETA       = PARAM(1,1); 
DDELTA      = PARAM(2,1); 
GGAMMA      = PARAM(3,1); 
KKAPPA      = PARAM(4,1); 
MMBAR       = PARAM(5,1); 
MMU         = PARAM(6,1); 
NNU         = PARAM(7,1); 
OOMEGA      = PARAM(8,1); 
RHOA        = PARAM(9,1); 
RHONST      = PARAM(10,1); 
SSIGMA      = PARAM(11,1); 
STD_A       = PARAM(12,1); 
STD_PSI     = PARAM(13,1); 
VVAREPSILON = PARAM(14,1); 
VVARTHETA   = PARAM(15,1); 


   S = vars(1);
   h = vars(2);
   K = vars(3);
   
   F(1) = ((1 - (1 - MMU) * S^(1 - VVAREPSILON)) / MMU)^(1 / (1 - VVAREPSILON)) * VVARTHETA * K^(VVARTHETA - 1) * h^(1 - VVARTHETA) - (1 / BBETA - 1 + DDELTA);
   F(2) = MMU * ((1 - (1 - MMU) * S^(1 - VVAREPSILON)) / MMU)^(-VVAREPSILON / (1 - VVAREPSILON)) * ((( ((1/BBETA - 1 + DDELTA)*K)/(h^(1+NNU)) * (1-VVARTHETA)/(VVARTHETA) )^(1/GGAMMA)) + DDELTA * K) + (1-MMU) * ((1 - (1 - MMU) * S^(1 - VVAREPSILON)) / MMU)^(-VVAREPSILON / (1 - VVAREPSILON)) * S^VVAREPSILON - K^VVARTHETA * h^(1 - VVARTHETA);
   F(3) = (1-MMU) * ((1 - (1 - MMU) * S^(1 - VVAREPSILON)) / MMU) * S^VVAREPSILON - (1 - MMU) * S^(1 - VVAREPSILON) * ((( ((1/BBETA - 1 + DDELTA)*K)/(h^(1+NNU)) * (1-VVARTHETA)/(VVARTHETA) )^(1/GGAMMA)) + DDELTA * K);
end






